From 023cea358a787d43bac212ff3c3b393f64c606e5 Mon Sep 17 00:00:00 2001
From: Lemures Lemniscati <lemures.lemniscati@gmail.com>
Date: Sat, 12 Dec 2020 20:56:59 +0900
Subject: [PATCH 123/135] Update URLs in lib/src_postinst.cygpart

http://www.gnu.org/licenses/ to https://www.gnu.org/licenses/
http://bugs.debian.org/ to https://bugs.debian.org/
http://cygwin.com/ml/ to https://sourceware.org/legacy-ml/
---
 lib/src_postinst.cygpart | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/lib/src_postinst.cygpart b/lib/src_postinst.cygpart
index 68381a0..d8bb226 100644
--- a/lib/src_postinst.cygpart
+++ b/lib/src_postinst.cygpart
@@ -16,7 +16,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with cygport.  If not, see <http://www.gnu.org/licenses/>.
+# along with cygport.  If not, see <https://www.gnu.org/licenses/>.
 #
 ################################################################################
 
@@ -1024,12 +1024,12 @@ __prepstrip() {
 
 		# OCaml bytecode must not be stripped
 		# Magic number is at end of file:
-		# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=256900#74
-		# http://cygwin.com/ml/cygwin-apps/2010-10/msg00057.html
+		# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=256900#74
+		# https://sourceware.org/legacy-ml/cygwin-apps/2010-10/msg00057.html
 		#
 		# Perl Archive (PAR) binaries must not be stripped
 		# https://rt.cpan.org/Public/Bug/Display.html?id=18536
-		# http://cygwin.com/ml/cygwin-apps/2012-07/msg00088.html
+		# https://sourceware.org/legacy-ml/cygwin-apps/2012-07/msg00088.html
 		#
 		# Neko bytecode must not be stripped
 		# https://github.com/HaxeFoundation/neko/issues/130
@@ -1131,7 +1131,7 @@ __prep_symlinks() {
 		l_src=$(readlink "${l}")
 
 		# avoid .exe suffix in symlinks
-		# http://cygwin.com/ml/cygwin-apps/2007-04/msg00065.html
+		# https://sourceware.org/legacy-ml/cygwin-apps/2007-04/msg00065.html
 		case "${CHOST}:${l}" in
 			*-*-cygwin*:*.exe)
 				rm -f "${l}"
-- 
2.29.2

